Version chunked upload. Start
| /dam/assets/versions/bin/chunked/start Initialize chunk upload session for the version file. |
Initialize chunk upload session for the file
Version chunk upload workflow consist from 3 general steps like the asset upload:
|
|
Resource path |
/api/core/v1/dam/assets/versions/bin/chunked/start |
HTTP method |
POST |
Request content type |
application/json |
Response content type |
|
Body parameters
Specified by AssetVersionUploadRequest
| tid - is required and refers to asset for which version file will be uploaded. |
Return Type
PimType with filled ResponsesType
Response type contains upload tid - the unique identity of the upload session. Upload tid is required for next upload steps.
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
PimType with filled ResponsesType |
|
400 |
Invalid input provided |
|
500 |
An unknown internal error occurred |
Samples
| Please use transform endpoint to get the JSON/compact-JSON samples from the XML one. |
Start upload session
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/assets/versions/bin/chunked/start' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
"tid": "0AA31C0C-F2AE-422C-9C6A-25BAB368706E",
}'
{
"tid":"0AA31C0C-F2AE-422C-9C6A-25BAB368706E",
}
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn">
<responses>
<response tid="614cde94-fdd6-47aa-86e6-c090d900032c">
<status>SUCCESS</status>
<description>Version chunk upload could be started by upload UUID/tid</description>
</response>
</responses>
</pim>
Error responses
<?xml version="1.0" encoding="UTF-8"?>
<response xmlns="http://www.apollon.de/omn">
<details>
<itm key="supportId">8dbfd28d-9487-4c6c-a878-9f30557f2e1b</itm>
</details>
<issues>
<itm key="code">1002</itm>
<itm key="description">The requested resource could not be found</itm>
<itms type="details">
<itm key="errorMessage">Isy object with meta tag guid '0AA31C0C-F2AE-422C-9C6A-25BAB368706E' is not found.</itm>
</itms>
</issues>
<status>ERROR</status>
</response>
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn">
<responses>
<response action="update"
dataType="asset"
tid="0AA31C0C-F2AE-422C-9C6A-25BAB368706E">
<status>ERROR</status>
<description>Asset is not available by access rights</description>
</response>
</responses>
</pim>